<template>
    <div>
        <div class="row">
            <div class="col-md-6">
                <table class="table table-bordered">
                    <thead>
                    <tr class="warning">
                        <th>ITEM LIST</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr v-if="products.length" v-for="(product,index) in products">
                        <td v-on:click="selectProduct(index)">{{ product.name }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <div class="col-md-6">
                <table class="table table-bordered">
                    <thead>
                    <tr class="primary">
                        <th colspan="3">SELECTED PRODUCT LIST</th>
                    </tr>
                    <tr>
                        <th>Product Name</th>
                        <th>Unit</th>
                        <th>Qty</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr v-if="setProducts.length" v-for="(product,index) in setProducts">
                        <td v-on:click="deSelectProduct(index)">
                            <input type="hidden" :name="'product['+ index +'][id]'" v-model="setProducts[index].id">
                            {{ product.name }}
                        </td>
                        <td>
                            <select :name="'product['+ index +'][unit]'" class="form-control table-input" v-model="setProducts[index].unitId" required>
                                <option value="">Chose</option>
                                <option v-for="unit in units" :value="unit.id">{{ unit.name }}</option>
                            </select>
                        </td>
                        <td>
                            <input type="number" :name="'product['+ index +'][quantity]'" class="form-control table-input" v-model="setProducts[index].quantity" min="1">
                        </td>
                    </tr>
                    </tbody>
                </table>

            </div>
        </div>
        <div class="form-group text-right" v-if="setProducts.length">
            <button type="submit" class="btn btn-success btn-sm"><i class="fa fa-check-circle fa-fw"></i>SAVE</button>
        </div>
    </div>
</template>

<script>

    export default {
        props: ['items','allUnits'],

        data: function() {

            return {
                products: [],
                setProducts: [],
                units: [],
            };
        },

        methods: {
            selectProduct: function (index) {
                let item = this.products[index];
                item.unitId = "";
                item.quantity = "";
                this.setProducts.push(item);
                this.products.splice(index,1);
            },
            deSelectProduct: function (index) {
                let item = this.setProducts[index];

                delete item.unitId;
                delete item.quantity;
                this.products.push(item);
                this.setProducts.splice(index,1);
            },
            searchItem: function () {
                this.itemCollections = [];
                if(this.itemType == 1){
                    if(this.searchedText.length){
                        this.itemCollections = this.products.filter((item) => {
                            return item.name.toUpperCase().search(this.searchedText.toUpperCase()) != -1;
                        });
                    }else{
                        this.itemCollections = this.products;
                    }
                }else{
                    if(this.searchedText.length){
                        this.itemCollections = this.productSets.filter((item) => {
                            return item.name.toUpperCase().search(this.searchedText.toUpperCase()) != -1;
                        });
                    }else{
                        this.itemCollections = this.productSets;
                    }
                }
            }

        },
        created: function() {
            this.products = this.items.products;
            this.units = this.items.units;
        },
        mounted() {

        },


    };
</script>